Skip to content
Docs

People with access to the workspace.

Base URLhttps://api.socialit.com/v1AuthenticationErrorsRate limits2 endpointsMCP toolset team

List users

GET/users

Workspace members with their role and profile access.

Access: readZernio: GET /v1/users

Try it with MCPAsk your agent to call list-users (toolset team)Set up MCP

Query parameters

pageintegerdefault: 1

Page number

≥ 1

limitintegerdefault: 20

Items per page (max 100)

1–100

sortstring

created_atemailnamerole

orderstring

ascdesc

matchstring

Combine filters with AND (default) or OR

allor

rolestring
emailstring

Returns object

objectstringrequired

list

dataarray of objectrequired
Show 9 item attributes
objectstring

user

idstring
namestring | null
emailstring
avatar_urlstring | null
rolestring

owneradminmemberbillingviewer

all_profilesboolean
profile_idsarray of string
joined_atstring (date-time) | null
pageintegerrequired
limitintegerrequired
totalinteger | null
has_morebooleanrequired
next_page_urlstring | null
previous_page_urlstring | null

Responses

  • 200OK
  • 4XXErrors: invalid request, auth, permission, not found, conflict, plan or rate limit
  • 5XXErrors: server or upstream network error
GET/users
curl "https://api.socialit.com/v1/users" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
Response · 200
{
  "object": "list",
  "data": [
    {
      "object": "user",
      "id": "string",
      "name": "string",
      "email": "you@example.com",
      "avatar_url": "https://example.com",
      "role": "owner",
      "all_profiles": true,
      "profile_ids": [
        "string"
      ],
      "joined_at": "2026-10-13T09:00:00.000Z"
    }
  ],
  "page": 1,
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}

Get a user

GET/users/{id}

Access: readZernio: GET /v1/users/{userId}

Try it with MCPAsk your agent to call get-user (toolset team)Set up MCP

Path parameters

idstringrequired

User id (usr_…)

Returns object

objectstring

user

idstring
namestring | null
emailstring
avatar_urlstring | null
rolestring

owneradminmemberbillingviewer

all_profilesboolean
profile_idsarray of string
joined_atstring (date-time) | null

Responses

  • 200OK
  • 4XXErrors: invalid request, auth, permission, not found, conflict, plan or rate limit
  • 5XXErrors: server or upstream network error
GET/users/{id}
curl "https://api.socialit.com/v1/users/ID" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
Response · 200
{
  "object": "user",
  "id": "string",
  "name": "string",
  "email": "you@example.com",
  "avatar_url": "https://example.com",
  "role": "owner",
  "all_profiles": true,
  "profile_ids": [
    "string"
  ],
  "joined_at": "2026-10-13T09:00:00.000Z"
}